<main>
    <div class="wrap min">
        <#if is_index??>
            <section class="home-title">
                <h1>${blog_title!}</h1>
                <span>${user.description!}</span>
                <div class="home-social">
                    <#if settings.home_social?? && settings.home_social != ''>
                        ${settings.home_social!}
                    </#if> 
                </div>
            </section>
        </#if>
        <section class="home-posts">
            <#list posts.content as post>
                <div class="post-item">
                    <h2>
                        <a href="${post.fullPath!}">${post.title!}</a>
                    </h2>
                    <p>${post.summary!}</p>
                    <div class="post-meta">
                        <time class="date">
                            ${post.createTime?string('yyyy-MM-dd')!}
                        </time>
                        <span class="category">
                            <#list post.categories as category>
                                <a href="${category.fullPath!}" >
                                    ${category.name!}
                                </a>
                            </#list>
                        </span>
                        <span class="tags">
                            <#list post.tags as tag>
                                <a href="${tag.fullPath}" class="tag">${tag.name}</a>
                            </#list>
                        </span>
                        <span class="comments">
                            ${post.commentCount!}°C
                        </span>
                        <span class="visits">
                            ${post.visits!}
                        </span>
                    </div>
                </div>
            </#list>
        </section>
        <section class="page-navigator">
            <@paginationTag method="archives" page="${posts.number}" total="${posts.totalPages}" display="3">
                <#if pagination.hasPrev>
                    <a href="${pagination.prevPageFullPath!}">上一页</a>  
                </#if>
                <#list pagination.rainbowPages as number>
                    <#if number.isCurrent>
                        <span class="current">${number.page!}</span>
                    <#else>
                        <a href="${number.fullPath!}">${number.page!}</a>
                     </#if>
                </#list>
                <#if pagination.hasNext>
                    <a href="${pagination.nextPageFullPath!}">下一页</a>  
                 </#if>
            </@paginationTag>
        </section>
    </div>
</main>